Name:          vorbisspi
Summary:       Ogg Vorbis sound engine
Version:       1.0.3
Release:       %mkrel 1
License:       LGPL
Group:	       Sound
Source0:       %name%version.tar.gz
URL: 	       http://www.javazoom.net/vorbisspi/sources.html
BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires: ant
BuildRequires: java-devel-gcj
BuildRequires: java-rpmbuild

%description
VorbisSPI  is a SPI (Service Provider Interface - or "Driver" for 
JavaSound API) that adds Ogg Vorbis audio format format to the Java 
Platform (J2SE). It is based on JOrbis, an open source Vorbis library.

%files 
%defattr(-,root,root)
%{_javadir}/vorbisspi%version.jar
%{_javadir}/vorbisspi.jar

#--------------------------------------------------------------------

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Java

%description javadoc
Javadoc for %{name}.

%files javadoc
%defattr(-,root,root,-)
%{_javadocdir}/*

#--------------------------------------------------------------------

%prep
rm -fr %buildroot
%setup -q -n VorbisSPI%version

%build
%{ant} all

%install
install -dm 755 %buildroot%{_javadir}
cp -f vorbisspi%version.jar %buildroot%{_javadir}/

# jars
install -m644 %{name}%{version}.jar -D %{buildroot}%{_javadir}/%{name}%{version}.jar
ln -s %{name}%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

# javadoc
install -d %{buildroot}%{_javadocdir}/%{name}-%{version}
cp -r docs/* %{buildroot}%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} %{buildroot}%{_javadocdir}/%{name}

%clean
rm -fr %buildroot




%changelog
* Thu Apr 14 2011 tv <tv> 1.0.3-1.mga1
+ Revision: 85019
- fix another harcoded version instance
- fix harcoded version in %%setup
- new release
- new release

* Tue Mar 08 2011 grenoya <grenoya> 1.0.2-1.mga1
+ Revision: 66667
- add java-rpmbuild in BuildRequires
- imported package vorbisspi


* Sat Dec 15 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1.0.2-1mdv2008.1
+ Revision: 120450
- Fix BuildRequires
- import vorbisspi


